GraphicsMagick Search site

- Home
- License
- Mission
- Download
- Installation
- FAQ
- News
- Formats

- Process
- Contribute
- CVS
- Mailing Lists
- ChangeLog
- Report Bugs
- Utilities
- Programming
- Links

# average

## Image averaging functions

Contents

- AverageImages

# AverageImages

## Synopsis

    Image *AverageImages( Image *image, ExceptionInfo *exception );

## Description

The Average() method takes a set of images and averages them together. Each image in the set must have the same width and height. Average() returns a single image with each corresponding pixel component of each image averaged. On failure, a NULL image is returned and exception describes the reason for the failure.

The format of the AverageImage method is:

    Image *AverageImages( Image *image, ExceptionInfo *exception );

A description of each parameter follows:

image:
  The image sequence.
exception:
  Return any errors or warnings in this structure.